Bug 1121844 - [RFE][keystone]: Explicitly request an unscoped token
Summary: [RFE][keystone]: Explicitly request an unscoped token
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 7.0 (Kilo)
Assignee: Nathan Kinder
QA Contact: yeylon@redhat.com
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_kilo-2 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:06 UTC by RHOS Integration
Modified: 2016-04-26 16:02 UTC (History)
6 users (show)

Fixed In Version: openstack-keystone-2015.1.0-1.el7ost
Doc Type: Enhancement
Doc Text:
Identity Service (keystone) now allows for unscoped tokens to be explicitly requested. This feature was added after users who had a default project assigned were previously unable to retrieve unscoped tokens; if one of these users requested a token without defining a scope, it would be automatically scoped to the default project. As a result of this update, unscoped tokens can now be issued to all users, even if they have a default project defined.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:13:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1548 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2015-08-05 17:07:06 UTC

Description RHOS Integration 2014-07-22 04:06:17 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/explicit-unscoped.

Description:

Allow users with a default_project_id set to explicitly ignore their default parameter and retrieve an unscoped token. 

Specification URL (additional information):

None

Comment 8 errata-xmlrpc 2015-08-05 13:13:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1548


Note You need to log in before you can comment on or make changes to this bug.